@echo off

setlocal

set package_name=JDK11
set java_dir=zulu-jdk11-windows-64bit

set full_java_dir=%CD%\%java_dir%

set OS_ALLCAPS=WINDOWS

if not exist %full_java_dir% (
    echo. >&2
    echo In seting up %package_name%, did not find directory: >&2
    echo   %full_java_dir% >&2
    echo. >&2
    echo Have you run ./PREPARE-%OS_ALLCAPS%.bat? >&2    
    echo Exiting... >&2    
    echo. >&2
    exit /b 0
)

set JAVA_HOME=%full_java_dir%
set "PATH=%JAVA_HOME%\bin;%PATH%"

REM For details on setting multiple vars, see:
REM     https://stackoverflow.com/questions/15494688/batch-script-make-setlocal-variable-accessed-by-other-batch-files

endlocal & (
  set JAVA_HOME=%JAVA_HOME%
  set "PATH=%PATH%"
)

echo + Set JAVA_HOME and updated PATH

